APIs / ImmoScout24 Switzerland / Search
ImmoScout24 Switzerland: Search
Search from ImmoScout24 Switzerland as JSON. 1 credit per successful call.
GET /v1/immoscout24-ch/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
offer_type | string | Optional | rent, buy |
property_type | string | Optional | apartment_or_house, apartment, house |
geo_tags[] | list of string | Optional | Up to 100 characters |
min_price | number | Optional | Any |
max_price | number | Optional | Any |
min_rooms | number | Optional | Any |
max_rooms | number | Optional | Any |
min_area | integer | Optional | Any |
balcony | boolean | Optional | Any |
elevator | boolean | Optional | Any |
lister_id | string | Optional | Up to 50 characters |
semantic_query | string | Optional | Up to 200 characters |
sort_by | string | Optional | date, price, rooms, place, completeness, listing_type, random, exclusive, relevance |
sort_direction | string | Optional | asc, desc |
lang | string | Optional | de, fr, it, en |
page | integer | Optional | Any |
size | integer | Optional | 5, 10, 20, 50 |
Example request
curl "https://api.perceptlayer.com/v1/immoscout24-ch/search?offer_type=rent&geo_tags[]=geo-city-zurich&max_price=3000&min_rooms=2.5&size=20" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.